---
title: "Get a single external account"
description: "Retrieve details of a specific external account. Use this endpoint to check the `status` after a `202 Accepted` from `POST /v1/external-accounts`, calling it until the status changes to `active`."
protocol: rest
method: GET
endpoint: "/v1/external-accounts/{external_account_id}"
baseUrl: "https://api.gravv.xyz"
group: "External accounts"
auth:
  label: "Api-Key"
  name: "Api-Key"
  in: header
---

# Get a single external account

<Endpoint method="GET" path="/v1/external-accounts/{external_account_id}" />

Retrieve details of a specific external account. Use this endpoint to check the `status` after a `202 Accepted` from `POST /v1/external-accounts`, calling it until the status changes to `active`.

## Path Parameters

<ParamField name="external_account_id" path="external_account_id" type="string" required>
</ParamField>

## Responses

| Status | Description |
| --- | --- |
| `200` | External account details. |
| `400` | Input validation failed. |
| `404` | Resource not found. |

### 200 response

<ResponseField name="data" type="object">

  <Expandable title="properties">
    <ResponseField name="id" type="string" required>
      External account identifier; use this to fetch or initiate transfers.
    </ResponseField>

    <ResponseField name="customer_id" type="string" required>
    </ResponseField>

    <ResponseField name="payee_type" type="string" required>

      Possible values: `ach_wire`, `sepa`, `swift`, `bank_account`, `mobile_money`, `fps`
    </ResponseField>

    <ResponseField name="account_number" type="string,null">
    </ResponseField>

    <ResponseField name="iban" type="string,null">
    </ResponseField>

    <ResponseField name="bic" type="string,null">
    </ResponseField>

    <ResponseField name="routing_number" type="string,null">
    </ResponseField>

    <ResponseField name="account_name" type="string">
    </ResponseField>

    <ResponseField name="institution_name" type="string,null">
    </ResponseField>

    <ResponseField name="institution_id" type="string,null">
    </ResponseField>

    <ResponseField name="institution_type" type="string,null">
      Category of financial institution linked to this account.

      Possible values: `bank`, `mobile_money`
    </ResponseField>

    <ResponseField name="institution_country_iso_code" type="string,null">
      ISO 3166-1 alpha-2 country code of the linked institution.
    </ResponseField>

    <ResponseField name="currency" type="string" required>
    </ResponseField>

    <ResponseField name="phone_number" type="string,null">
    </ResponseField>

    <ResponseField name="address" type="object">

      <Expandable title="properties">
        <ResponseField name="address_line1" type="string" required>
        </ResponseField>

        <ResponseField name="address_line2" type="string">
        </ResponseField>

        <ResponseField name="city" type="string" required>
        </ResponseField>

        <ResponseField name="postal_code" type="string" required>
        </ResponseField>

        <ResponseField name="state" type="string">
        </ResponseField>

        <ResponseField name="country" type="string" required>
        </ResponseField>

      </Expandable>
    </ResponseField>

    <ResponseField name="status" type="string" required>
      `active`: The external account is fully registered with our payment partners and is ready to use. `pending`: Registration is still in progress. To learn when it changes to `active`, either check the status by calling `GET /v1/external-accounts/{external_account_id}` until it is `active`, or subscribe to the external account webhook events.

      Possible values: `active`, `pending`
    </ResponseField>

    <ResponseField name="date_created" type="string" required>
    </ResponseField>

  </Expandable>
</ResponseField>

<ResponseField name="error" type="null">
</ResponseField>

### 400 response

<ResponseField name="data" type="null">
</ResponseField>

<ResponseField name="error" type="string" required>
</ResponseField>

### 404 response

<ResponseField name="data" type="null">
</ResponseField>

<ResponseField name="error" type="string" required>
</ResponseField>

## Authorization

- **ApiKeyAuth**
